<template>
  <div class="forgotBox">
    <div class="resetBox">
      <header>
        <button class="backBtn">
          <router-link to="/signin" class="back">Back</router-link>
        </button>
        <ErrorNotify />
      </header>
      <main class="rMain">
        <div class="rText">
          <h1>Reset Password</h1>
          <span
            >Enter the email associated with your account and we'll send an
            email with link to reset your password.</span
          >
        </div>
        <div class="emailInput">
          <label>Email address</label>
          <input type="text" placeholder="Email" v-model="remail" />
        </div>
        <div class="send-btn">
          <button @click="ResetEmail(remail)" @keyup.enter="ResetEmail(remail)">
            Send
          </button>
        </div>
      </main>
    </div>
  </div>
</template>
<script>
import ErrorNotify from "../ErrorNotify/ErrorNotify";
import { mapGetters } from "vuex";
export default {
  components: {
    ErrorNotify,
  },
  data() {
    return {
      remail: "",
      routerId: null,
    };
  },
  computed: mapGetters(["reg", "axios"]),
  methods: {
    ResetEmail(email) {
      if (!email) {
        this.$store.commit("Erralert", "Please write email!");
      } else if (!this.reg.test(email)) {
        this.$store.commit("Erralert", "Please write correct email!");
      } else {
        this.axios
          .post("forgot", { email })
          .then((result) => console.log(result.data))
          .catch(() => {
            this.$store.commit("Erralert", "ERROR: 505");
          });
      }
    },
  },
};
</script>

<style lang="scss">
@import "forgot.scss";
</style>